module rphi_module

implicit none

public :: rphi

intrinsic real

contains
 
      recursive function rphi(n,m) result(rphi_result)
      integer, intent(in) :: n
      integer, intent(in) :: m 
!
      integer             :: k
      real                :: rphi_result 

      if(n == 0)then
         rphi_result = 0.0
         do k=0,2**(m-1)-1
           rphi_result = rphi_result+ 1.0/(real((k+1)*(k+1)))
         enddo
         return
      endif

      rphi_result = (2**n * rphi(n-1,m+1) -rphi(n-1,m))* 1.0/real(2**n-1)

      endfunction rphi
!
!***********************************************************************
!
end module rphi_module
!
 
