      program aitken
!
      use gg_module   , only : gg
      use steff_module, only : steff 
!
      implicit none
!
!***********************************************************************
!  Aitken's algorithm with Steffensen's iteration
!   (ref  Conte and de Boor 1972, p.55)
!***********************************************************************
!
      real    :: y
      integer :: iflag
!
!
      print *
      print *
      print *,"Aitken's algorithm with Steffensen's iteration"
      print *

      y = 0.0

      call steff(gg,y,1.0e-7,30,iflag)
!
      if(iflag > 1) then
        stop
      endif
!
      print *
      print "(a,e15.7)"," the fixed point is ",y
!
      print *
      print *

      endprogram aitken

