module binocoef_module

implicit none

public :: binocoef

contains
 
      subroutine binocoef(r,k,bc)
      integer, intent(in)  :: r
      integer, intent(in)  :: k 
      integer, intent(out) :: bc
!
      integer :: it
!
!***********************************************************************
!  binomial coefficient of (r)k = r(r-1)...(r-k+1)/k!
!    this subprogram is used in the difftabl program.
!***********************************************************************
!
      bc = 1

      do it=1,k
        bc = bc*(r-it+1)/it
      enddo
 
   endsubroutine binocoef 

end module binocoef_module

