module ser1_module

implicit none

public :: ser1

integer, private, parameter :: real8 = selected_real_kind(10)

contains
 
      SUBROUTINE ser1(M, TERM) 
      integer         , intent(in)    :: M
      real(kind=real8), intent(inout) :: term
!
      integer :: JJ
      real    :: T
      real    :: BT
!
      IF (M.NE.0) GO TO 5 
      T=1.0 
      BT=1.0 
      GO TO 30 
    5 IF (M.NE.1) GO TO 6 
      T=0.25 
      BT=1.0 
      GO TO 30 
    6 T=(M-0.5)*T 
      BT=BT*(M+1) 
   30 JJ=2*(M/2) 
      IF (M.EQ.JJ) GO TO 31 
      TERM=-1.0*T/BT 
      RETURN 
   31 TERM=T/BT
 
   endsubroutine ser1 
 
!
!***********************************************************************
!
end module ser1_module
!
 
