module inteps_module

use romb_module, only : romb
use f2_module  , only : f

implicit none

private

public :: inteps

contains
 
      SUBROUTINE inteps(MMAX,KOL,a,b) 
      integer, intent(in) :: mmax
      integer, intent(in) :: kol
      real   , intent(in) :: a
      real   , intent(in) :: b
!
      real, DIMENSION(0:50) :: AL
      real, dimension(0:20) :: C


      integer :: i2mmax
      integer :: i3,i4,i5,i6
      integer :: iod
      integer :: is,is2,isan
      integer :: j 
      integer :: k2ol
      integer :: m,m4,m5,m6
      integer :: modd
      integer :: ma

      real                            :: aux0,aux1,aux2
      real                            :: term
      real         , dimension(0:50) :: d

      AL(0)  = 0.0
      I2MMAX = 2*MMAX
!
      DO 50 M=0, MMAX
      CALL romb(a,b,M,TERM,f)
      AUX0=TERM
      AUX1=aux0+AL(0) 
      DO 40 IS=0,M
      IF (IS == 0)GO TO 10
      aux0=1.0/(AUX1-AL(IS))
      GO TO 11 
   10 aux0=1.0/(aux0) 
   11 CONTINUE 
      IF (IS==0) GO TO 18 
      IS2=IS-1 
      aux0=aux0+AL(IS2) 
      AL(IS2)=AUX2 
   18 CONTINUE 
      IOD=2*(IS/2) 
      IF (IS.NE.IOD) GO TO 43 
      I3=(IS*(I2MMAX-IS+2))/4+M+1
      D(I3)=AUX1
   43 AUX2 =AUX1
      AUX1 =aux0 
   40 CONTINUE 
      AL(M)=AUX2 
      AL(M+1)=AUX1
      MODD=2*(M/2) 
      IF (M == MODD) GO TO 50 
      I4=(M+1)*(I2MMAX-M+5)/4 
      D(I4)=AUX1
   50 CONTINUE 
      K2OL=2*KOL 
      DO 70 ISAN=0, MMAX+1, K2OL 
      M4=MMAX+1-ISAN/2 
      DO 65 M=1, M4 
      MA=0
      I5=ISAN+2*(KOL-1) 
      DO 60 IS=ISAN, I5, 2 
      M5=MMAX+1-IS/2 
      I6=IS/2 
      IF (I6 > M .OR. M > M5) GO TO 59 
      CONTINUE 
      MA=MA+1 
      M6=(IS*(I2MMAX+4-IS))/4+M 
      C(MA)=D(M6) 
   59 CONTINUE 
   60 CONTINUE 
      print "(i5,10(tr2,F8.6))", m,(C(J), J=1, MA) 
   65 CONTINUE 
   70 CONTINUE 
      endsubroutine inteps 
!
!***********************************************************************
!
end module inteps_module
!
 
