#include "cbox5.h"

main()
{
	float X[102],Y[102],Xm[101],Ym[101],Bc[101],F[101],Xi[21],Yi[21];
	float u[21],q1[21],q2[21],D;
	float G[101][101],H[101][101];
	int Code[101],Dim;
	
	/*[ Dim =Max dimension of the system AX = F. This number
		must be equal or smaller than the dimension of Xm ]*/
		
	Dim = 100;
	
	/*[ Read input  ]*/
	Input5(Xi,Yi,X,Y,Code,Bc);
	
	/*[	Compute matrices G and H, and form the system A X = F ]*/
	Sys5(X,Y,Xm,Ym,G,H,Bc,F,Code,Dim);
	
	
	/*[Solve the system AX = F ]*/
	Solve(G,F,&D,N,Dim);

	
	/*[ Compute the potential at interior points ]*/
	Inter5(Bc,F,Code,Xi,Yi,X,Y,u,q1,q2);
	
	/*[ Output solution at boundary nodes and interior points ]*/
	Out5(Xm,Ym,Bc,F,Xi,Yi,u,q1,q2);

}
